#
# spec file for package ghc-monad-unlift
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name monad-unlift

Name:           ghc-%{pkg_name}
Version:        0.2.0
Release:        2.4
Summary:        Typeclasses for representing monad transformer unlifting
Group:          System/Libraries

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-constraints-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
See README.md.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md


%changelog
* Mon May 23 2016 mimi.vx@gmail.com
- update to 0.2.0
  * Split out monad-unlift-ref
* Mon May 16 2016 mimi.vx@gmail.com
- package ghc-monad-unlift updated by st2obs
* Wed May 11 2016 mimi.vx@gmail.com
- package ghc-monad-unlift updated by st2obs
* Sun May  1 2016 mimi.vx@gmail.com
- package ghc-monad-unlift updated by st2obs
* Sat Feb 13 2016 mimi.vx@gmail.com
- ghc-monad-unlift generated by st2obs scritpt
